# coding: utf-8

# flake8: noqa
"""
    FAX.IR REST API

    This is the fax.ir API v2 developed for third party developers and organizations. In order to have a better coding experience with this API, let's quickly go through some points:<br /><br /> - This API assumes **/accounts** as an entry point with the base url of **https://api.fax.ir/v2**. <br /><br /> - This API treats all date and times sent to it in requests as **UTC**. Also, all dates and times returned in responses are in **UTC**<br /><br /> - Once you have an access_token, you can easily send a request to the resource server with the base url of **https://api.fax.ir/v2** to access your permitted resources. As an example to get the user's profile info you would send a request to **https://api.fax.ir/v2/accounts/self** when **Authorization** header is set to \"Bearer YOUR_ACCESS_TOKEN\" and custom header of **x-fax-clientid** is set to YOUR_CLIENT_ID  # noqa: E501

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

# import models into model package
from faxir.models.account import Account
from faxir.models.account_account_data import AccountAccountData
from faxir.models.account_settings import AccountSettings
from faxir.models.account_settings_send_fax import AccountSettingsSendFax
from faxir.models.account_settings_send_fax_retry import AccountSettingsSendFaxRetry
from faxir.models.error import Error
from faxir.models.fax import Fax
from faxir.models.fax_cost_details import FaxCostDetails
from faxir.models.file import File
from faxir.models.member_detail import MemberDetail
from faxir.models.number import Number
from faxir.models.number_notifications import NumberNotifications
from faxir.models.outbox import Outbox
from faxir.models.outbox_comment import OutboxComment
from faxir.models.outbox_file_changes import OutboxFileChanges
from faxir.models.outbox_files import OutboxFiles
from faxir.models.outbox_initiated_from import OutboxInitiatedFrom
from faxir.models.outbox_status_changes import OutboxStatusChanges
from faxir.models.payload_fax_modification import PayloadFaxModification
from faxir.models.payload_number_modification import PayloadNumberModification
from faxir.models.payload_outbox import PayloadOutbox
from faxir.models.payload_outbox_comment import PayloadOutboxComment
from faxir.models.payload_outbox_modification import PayloadOutboxModification
from faxir.models.payload_outbox_options import PayloadOutboxOptions
from faxir.models.payload_outbox_options_retry import PayloadOutboxOptionsRetry
from faxir.models.response_account_list import ResponseAccountList
from faxir.models.response_archive import ResponseArchive
from faxir.models.response_archive_data import ResponseArchiveData
from faxir.models.response_number_list import ResponseNumberList
from faxir.models.response_outbox_list import ResponseOutboxList
